From 8e1751b198cf0872519319724eae00e399c2db83 Mon Sep 17 00:00:00 2001
From: Gerrit Pape <pape@smarden.org>
Date: Wed, 11 Feb 2009 01:38:49 +0000
Subject: [PATCH 1/6] [SHELL] print \n upon EOF (CTRL-D) when run interactively

Suggested by jidanni through
 http://bugs.debian.org/476422

Signed-off-by: Gerrit Pape <pape@smarden.org>
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
---
 src/main.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/src/main.c b/src/main.c
index f79ad7d..efd7da8 100644
--- a/src/main.c
+++ b/src/main.c
@@ -219,8 +219,15 @@ cmdloop(int top)
 			if (!top || numeof >= 50)
 				break;
 			if (!stoppedjobs()) {
-				if (!Iflag)
+				if (!Iflag) {
+					if (iflag) {
+						out2c('\n');
+#ifdef FLUSHERR
+						flushout(out2);
+#endif
+					}
 					break;
+				}
 				out2str("\nUse \"exit\" to leave shell.\n");
 			}
 			numeof++;
-- 
2.1.0

